Bug 834289 - Can't activate a host while another host in contending
Can't activate a host while another host in contending
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.0.3
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.0
Assigned To: mkublin
Haim
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 08:39 EDT by Simon Grinberg
Modified: 2016-02-10 14:24 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-15 07:43:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Grinberg 2012-06-21 08:39:53 EDT
Description of problem:
When a Host is contending for SPM role, any attempt to activate another hosts fails and goes to non operational 

Version-Release number of selected component (if applicable):


How reproducible:
Always 

Steps to Reproduce:
1. Place all the hosts into maintenance 
2. Activate a hosts (let's call it hosts A)
3. Wait until it's status change to contending 
4. Activate another host (let's cal it host B)
  
Actual results:
Host B becomes non operational with a message saying that the connection to storage failed

Expected results:
Host activation is successful 

Additional info:
This is critical in power failure recovery scenario. Assume that power fails and then returns. All the system starts at once.
If all the hosts woke up before RHEV Manager all is fine, if not then the first host that RHEV Manager detects starts contenting. All the other hosts the wake up during this time are moved to non operational, leaving the system with only part of the hosts active after power failure. 

This what happened to me on my setup.
Comment 1 Simon Grinberg 2012-06-21 08:40:52 EDT
Version latest from RHN (3.0.4/3.0.3 for engine)
Comment 5 mkublin 2012-07-15 07:43:57 EDT
I did not success to reproduce, I don't know what can be a reason and I can not solve it. Closing as insufficient data
Comment 6 Haim 2012-07-15 07:54:51 EDT
(In reply to comment #5)
> I did not success to reproduce, I don't know what can be a reason and I can
> not solve it. Closing as insufficient data

kublin, did you contact Simon ? Simon, if you have a reproducer, please show kublin and move to assigned.

Note You need to log in before you can comment on or make changes to this bug.